--- ./dlls/wined3d/directx.c	2007-02-20 08:43:33.000000000 +0000
+++ ./dlls/wined3d/directx.c	2007-02-19 23:00:39.000000000 +0000
@@ -585,7 +585,7 @@
                 glGetIntegerv(GL_MAX_TEXTURE_UNITS_ARB, &gl_max);
                 TRACE_(d3d_caps)(" FOUND: ARB Multitexture support - GL_MAX_TEXTURE_UNITS_ARB=%u\n", gl_max);
                 gl_info->supported[ARB_MULTITEXTURE] = TRUE;
-                gl_info->max_textures = min(MAX_TEXTURES, gl_max);
+                gl_info->max_textures = 8;
                 gl_info->max_texture_stages = min(MAX_TEXTURES, gl_max);
                 gl_info->max_samplers = max(gl_info->max_samplers, gl_max);
             } else if (strcmp(ThisExtn, "GL_ARB_texture_cube_map") == 0) {
@@ -1857,8 +1857,9 @@
 
     *pCaps->Caps                    = 0;
     *pCaps->Caps2                   = WINED3DCAPS2_CANRENDERWINDOWED |
+                                      WINED3DCAPS2_DYNAMICTEXTURES   |
                                       WINED3DCAPS2_FULLSCREENGAMMA;
-    *pCaps->Caps3                   = 0;
+    *pCaps->Caps3                   = WINED3DCAPS3_ALPHA_FULLSCREEN_FLIP_OR_DISCARD;
     *pCaps->PresentationIntervals   = WINED3DPRESENT_INTERVAL_IMMEDIATE;
 
     *pCaps->CursorCaps              = 0;
@@ -1886,7 +1887,11 @@
                                       WINED3DPMISCCAPS_CLIPTLVERTS           |
                                       WINED3DPMISCCAPS_CLIPPLANESCALEDPOINTS |
                                       WINED3DPMISCCAPS_MASKZ                 |
-                                      WINED3DPMISCCAPS_BLENDOP;
+                                      WINED3DPMISCCAPS_TSSARGTEMP            |
+                                      WINED3DPMISCCAPS_BLENDOP               |
+				      WINED3DPMISCCAPS_FOGANDSPECULARALPHA   |
+				      WINED3DPMISCCAPS_SEPARATEALPHABLEND    |
+				      WINED3DPMISCCAPS_FOGVERTEXCLAMPED;
                                     /* TODO:
                                         WINED3DPMISCCAPS_NULLREFERENCE
                                         WINED3DPMISCCAPS_INDEPENDENTWRITEMASKS
@@ -2196,7 +2201,7 @@
     *pCaps->MaxVertexBlendMatrixIndex   = 1;
 
     *pCaps->MaxAnisotropy   = GL_LIMITS(anisotropy);
-    *pCaps->MaxPointSize    = GL_LIMITS(pointsize);
+    *pCaps->MaxPointSize    = 64.0f;
 
 
     *pCaps->VertexProcessingCaps = WINED3DVTXPCAPS_DIRECTIONALLIGHTS |
@@ -2266,7 +2271,10 @@
        ------------------------------------------------ */
     if (This->dxVersion > 8) {
         /* d3d9.dll sets D3DDEVCAPS2_CAN_STRETCHRECT_FROM_TEXTURES here because StretchRects is implemented in d3d9 */
-        *pCaps->DevCaps2                          = WINED3DDEVCAPS2_STREAMOFFSET;
+        *pCaps->DevCaps2                          = WINED3DDEVCAPS2_STREAMOFFSET                        |
+                                                    WINED3DDEVCAPS2_CAN_STRETCHRECT_FROM_TEXTURES       |
+						    WINED3DDEVCAPS2_PRESAMPLEDDMAPNPATCH                |
+						    WINED3DDEVCAPS2_VERTEXELEMENTSCANSHARESTREAMOFFSET;
         /* TODO: VS3.0 needs at least D3DDEVCAPS2_VERTEXELEMENTSCANSHARESTREAMOFFSET */
         *pCaps->MaxNpatchTessellationLevel        = 0;
         *pCaps->MasterAdapterOrdinal              = 0;
@@ -2294,7 +2302,8 @@
         *pCaps->NumSimultaneousRTs = GL_LIMITS(buffers);
 
             
-        *pCaps->StretchRectFilterCaps             = 0;
+        *pCaps->StretchRectFilterCaps             = WINED3DPTFILTERCAPS_MINFLINEAR |
+                                                    WINED3DPTFILTERCAPS_MAGFLINEAR;
         *pCaps->VertexTextureFilterCaps           = 0;
         
         if(*pCaps->VertexShaderVersion == WINED3DVS_VERSION(3,0)) {

--- ./include/wine/wined3d_types.h    2007-02-20 08:43:34.000000000 +0000
+++ ./include/wine/wined3d_types.h     2007-02-19 21:44:38.000000000 +0000
@@ -1370,6 +1370,8 @@
 #define WINED3DCAPS2_DYNAMICTEXTURES                   0x20000000L
 #define WINED3DCAPS2_CANAUTOGENMIPMAP                  0x40000000L

+#define WINED3DCAPS3_ALPHA_FULLSCREEN_FLIP_OR_DISCARD  0x00000020L
+
 #define WINED3DPRASTERCAPS_DITHER                     0x00000001L
 #define WINED3DPRASTERCAPS_ROP2                       0x00000002L
 #define WINED3DPRASTERCAPS_XOR                        0x00000004L

